{
  nix = {
    settings = {
      trusted-public-keys = [
        "nerflap2-1:pDZCg0oo9PxNQxwVSQSvycw7WXTl53PGvVeZWvxuqJc="
        "gonne.mathebau.de-1:FsXFyFiBFE/JxC9MCkt/WuiXjx5dkRI9RXj0FxOQrV0="
      ];
      experimental-features = [
        "flakes"
        "nix-command"
      ];
      auto-optimise-store = true;
      fallback = true;
      builders-use-substitutes = true;
    };
    gc = {
      persistent = true;
      dates = "weekly";
      options = "-d";
      randomizedDelaySec = "5h";
    };
    optimise = {
      dates = [];
      automatic = true;
    };
  };
}
